Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
G
gitflow
Project
Project
Details
Activity
Releases
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
tools
gitflow
Commits
6606678a
Commit
6606678a
authored
May 01, 2012
by
Vedang Manerikar
Browse files
Options
Browse Files
Download
Plain Diff
Updated from upstream
parents
3b86dd34
ab7fda21
Changes
15
Hide whitespace changes
Inline
Side-by-side
Showing
15 changed files
with
46 additions
and
111 deletions
+46
-111
AUTHORS
AUTHORS
+1
-0
Changes.mdown
Changes.mdown
+9
-4
Makefile
Makefile
+1
-6
README.mdown
README.mdown
+10
-2
changelog
contrib/debian/changelog
+0
-5
compat
contrib/debian/compat
+0
-1
control
contrib/debian/control
+0
-14
copyright
contrib/debian/copyright
+0
-40
docs
contrib/debian/docs
+0
-1
rules
contrib/debian/rules
+0
-16
git-flow
git-flow
+3
-0
git-flow-feature
git-flow-feature
+19
-19
git-flow-hotfix
git-flow-hotfix
+1
-1
git-flow-release
git-flow-release
+1
-1
gitflow-common
gitflow-common
+1
-1
No files found.
AUTHORS
View file @
6606678a
...
@@ -18,5 +18,6 @@ Authors are (ordered by first commit date):
...
@@ -18,5 +18,6 @@ Authors are (ordered by first commit date):
- Olivier Mengué
- Olivier Mengué
- Emre Berge Ergenekon
- Emre Berge Ergenekon
- Eric Holmes
- Eric Holmes
- Vedang Manerikar
Portions derived from other open source works are clearly marked.
Portions derived from other open source works are clearly marked.
Changes.mdown
View file @
6606678a
...
@@ -3,16 +3,21 @@
...
@@ -3,16 +3,21 @@
Release date: **not yet**
Release date: **not yet**
* `git flow init` now detects situations where origin already has gitflow
* `git flow init` now detects situations where origin already has gitflow
branches set up, and behaves accordingly (thanks Emre Berge Ergenekon)
branches set up, and behaves accordingly (thanks Emre Berge Ergenekon)
.
* `git flow feature finish` can now be called without a feature branch
* `git flow feature finish` can now be called without a feature branch
name(prefix) argument and will finish the current branch, if on any.
name(prefix) argument and will finish the current branch, if on any.
* Various minor bug fixes related to internal argument passing
* `git flow feature pull` now has a `-r` flag, to support `pull --rebase`
semantics (thanks Vedang Manerikar).
*
Better support for Windows users
.
*
Various minor bug fixes related to internal argument passing
.
* Add package installers for the Debian and Windows platforms.
* Improved some documentation.
* Better support for Windows and BSD users.
* Add package installer for the Windows platform.
0.4.1:
0.4.1:
-----
-----
...
...
Makefile
View file @
6606678a
...
@@ -27,12 +27,7 @@
...
@@ -27,12 +27,7 @@
# policies, either expressed or implied, of Vincent Driessen.
# policies, either expressed or implied, of Vincent Driessen.
#
#
# Determine if we're inside a debian build ..
prefix
=
/usr/local
ifdef
DEB_BUILD_ARCH
prefix
=
$(DESTDIR)
/usr/
else
prefix
=
/usr/local
endif
# files that need mode 755
# files that need mode 755
EXEC_FILES
=
git-flow
EXEC_FILES
=
git-flow
...
...
README.mdown
View file @
6606678a
git-flow

git-flow
========
========
A collection of Git extensions to provide high-level repository operations
A collection of Git extensions to provide high-level repository operations
for Vincent Driessen's [branching model](http://nvie.com/git-model "original
for Vincent Driessen's [branching model](http://nvie.com/git-model "original
blog post").
blog post").
...
@@ -83,13 +84,15 @@ in a Github fork, of course.
...
@@ -83,13 +84,15 @@ in a Github fork, of course.
To initialize a new repo with the basic branch structure, use:
To initialize a new repo with the basic branch structure, use:
git flow init
git flow init
[-d]
This will then interactively prompt you with some questions on which branches
This will then interactively prompt you with some questions on which branches
you would like to use as development and production branches, and how you
you would like to use as development and production branches, and how you
would like your prefixes be named. You may simply press Return on any of
would like your prefixes be named. You may simply press Return on any of
those questions to accept the (sane) default suggestions.
those questions to accept the (sane) default suggestions.
The ``-d`` flag will accept all defaults.
### Creating feature/release/hotfix/support branches
### Creating feature/release/hotfix/support branches
...
@@ -101,6 +104,11 @@ those questions to accept the (sane) default suggestions.
...
@@ -101,6 +104,11 @@ those questions to accept the (sane) default suggestions.
For feature branches, the `<base>` arg must be a commit on `develop`.
For feature branches, the `<base>` arg must be a commit on `develop`.
* To push/pull a feature branch to the remote repository, use:
git flow feature publish <name>
git flow feature pull <remote> <name>
* To list/start/finish release branches, use:
* To list/start/finish release branches, use:
git flow release
git flow release
...
...
contrib/debian/changelog
deleted
100644 → 0
View file @
3b86dd34
gitflow (0.4.1) unstable; urgency=low
* Initial Debian Packaging
-- Kiall Mac Innes <kiall@managedit.ie> Mon, 25 Apr 2011 23:51:42 +0100
contrib/debian/compat
deleted
100644 → 0
View file @
3b86dd34
7
contrib/debian/control
deleted
100644 → 0
View file @
3b86dd34
Source: gitflow
Section: vcs
Priority: optional
Maintainer: Kiall Mac Innes <kiall@managedit.ie>
Build-Depends: debhelper (>= 7.0.50~), git
Standards-Version: 3.9.1
Homepage: http://nvie.com/posts/a-successful-git-branching-model/
Vcs-Git: https://github.com/nvie/gitflow.git
Vcs-Browser: https://github.com/nvie/gitflow
Package: gitflow
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, git
Description: Git extensions to provide high-level repository operations for Vincent Driessen's branching model
contrib/debian/copyright
deleted
100644 → 0
View file @
3b86dd34
Format: http://dep.debian.net/deps/dep5
Upstream-Name: gitflow
Source: <url://example.com>
Files: *
Copyright: <years> <put author's name and email here>
<years> <likewise for another author>
License: BSD-3-Clause
Files: debian/*
Copyright: 2011 Kiall <kiall@managedit.ie>
License: BSD-3-Clause
License: BSD-3-Clause
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. Neither the name of the University nor the names of its contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.
.
THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
# Please also look if there are files or directories which have a
# different copyright/license attached and list them here.
contrib/debian/docs
deleted
100644 → 0
View file @
3b86dd34
README.mdown
contrib/debian/rules
deleted
100755 → 0
View file @
3b86dd34
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
override_dh_testdir
:
dh_testdir
git submodule init
&&
git submodule update
%
:
dh
$@
git-flow
View file @
6606678a
...
@@ -37,6 +37,9 @@
...
@@ -37,6 +37,9 @@
# policies, either expressed or implied, of Vincent Driessen.
# policies, either expressed or implied, of Vincent Driessen.
#
#
# set this to workaround expr problems in shFlags on freebsd
if
uname
-s
| egrep
-iq
'bsd'
;
then
export
EXPR_COMPAT
=
1
;
fi
# enable debug mode
# enable debug mode
if
[
"
$DEBUG
"
=
"yes"
]
;
then
if
[
"
$DEBUG
"
=
"yes"
]
;
then
set
-x
set
-x
...
...
git-flow-feature
View file @
6606678a
...
@@ -9,17 +9,17 @@
...
@@ -9,17 +9,17 @@
# http://github.com/nvie/gitflow
# http://github.com/nvie/gitflow
#
#
# Copyright 2010 Vincent Driessen. All rights reserved.
# Copyright 2010 Vincent Driessen. All rights reserved.
#
#
# Redistribution and use in source and binary forms, with or without
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# modification, are permitted provided that the following conditions are met:
#
#
# 1. Redistributions of source code must retain the above copyright notice,
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# this list of conditions and the following disclaimer.
#
#
# 2. Redistributions in binary form must reproduce the above copyright
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# documentation and/or other materials provided with the distribution.
#
#
# THIS SOFTWARE IS PROVIDED BY VINCENT DRIESSEN ``AS IS'' AND ANY EXPRESS OR
# THIS SOFTWARE IS PROVIDED BY VINCENT DRIESSEN ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
...
@@ -30,7 +30,7 @@
...
@@ -30,7 +30,7 @@
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#
# The views and conclusions contained in the software and documentation are
# The views and conclusions contained in the software and documentation are
# those of the authors and should not be interpreted as representing official
# those of the authors and should not be interpreted as representing official
# policies, either expressed or implied, of Vincent Driessen.
# policies, either expressed or implied, of Vincent Driessen.
...
@@ -244,7 +244,7 @@ cmd_finish() {
...
@@ -244,7 +244,7 @@ cmd_finish() {
# TODO: detect that we're working on the correct branch here!
# TODO: detect that we're working on the correct branch here!
# The user need not necessarily have given the same $NAME twice here
# The user need not necessarily have given the same $NAME twice here
# (although he/she should).
# (although he/she should).
#
#
# TODO: git_is_clean_working_tree() should provide an alternative
# TODO: git_is_clean_working_tree() should provide an alternative
# exit code for "unmerged changes in working tree", which we should
# exit code for "unmerged changes in working tree", which we should
...
@@ -270,7 +270,7 @@ cmd_finish() {
...
@@ -270,7 +270,7 @@ cmd_finish() {
echo "Merge conflicts not resolved yet, use:"
echo "Merge conflicts not resolved yet, use:"
echo " git mergetool"
echo " git mergetool"
echo " git commit"
echo " git commit"
echo
echo
echo "You can then complete the finish by running it again:"
echo "You can then complete the finish by running it again:"
echo " git flow feature finish $NAME"
echo " git flow feature finish $NAME"
echo
echo
...
@@ -324,7 +324,7 @@ cmd_finish() {
...
@@ -324,7 +324,7 @@ cmd_finish() {
echo "There were merge conflicts. To resolve the merge conflict manually, use:"
echo "There were merge conflicts. To resolve the merge conflict manually, use:"
echo " git mergetool"
echo " git mergetool"
echo " git commit"
echo " git commit"
echo
echo
echo "You can then complete the finish by running it again:"
echo "You can then complete the finish by running it again:"
echo " git flow feature finish $NAME"
echo " git flow feature finish $NAME"
echo
echo
...
@@ -344,8 +344,8 @@ helper_finish_cleanup() {
...
@@ -344,8 +344,8 @@ helper_finish_cleanup() {
if flag fetch; then
if flag fetch; then
git push "$ORIGIN" ":refs/heads/$BRANCH"
git push "$ORIGIN" ":refs/heads/$BRANCH"
fi
fi
if noflag keep; then
if noflag keep; then
if flag force_delete; then
if flag force_delete; then
git branch -D "$BRANCH"
git branch -D "$BRANCH"
...
@@ -475,7 +475,7 @@ avoid_accidental_cross_branch_action() {
...
@@ -475,7 +475,7 @@ avoid_accidental_cross_branch_action() {
cmd_pull() {
cmd_pull() {
#DEFINE_string prefix false 'alternative remote feature branch name prefix' p
#DEFINE_string prefix false 'alternative remote feature branch name prefix' p
DEFINE_boolean rebase false "pull with rebase" r
DEFINE_boolean rebase false "pull with rebase" r
parse_remote_name "$@"
parse_remote_name "$@"
if [ -z "$REMOTE" ]; then
if [ -z "$REMOTE" ]; then
...
@@ -501,14 +501,14 @@ cmd_pull() {
...
@@ -501,14 +501,14 @@ cmd_pull() {
# we already have a local branch called like this, so simply pull the
# we already have a local branch called like this, so simply pull the
# remote changes in
# remote changes in
if flag rebase; then
if flag rebase; then
if ! git pull --rebase -q "$REMOTE" "$BRANCH"; then
if ! git pull --rebase -q "$REMOTE" "$BRANCH"; then
warn "Pull was aborted. There might be conflicts during rebase or '$REMOTE' might be inaccessible."
warn "Pull was aborted. There might be conflicts during rebase or '$REMOTE' might be inaccessible."
exit 1
exit 1
fi
fi
else
else
g
it pull -q "$REMOTE" "$BRANCH" || die "Failed to pull from remote '$REMOTE'."
it pull -q "$REMOTE" "$BRANCH" || die "Failed to pull from remote '$REMOTE'."
fi
fi
echo "Pulled $REMOTE's changes into $BRANCH."
echo "Pulled $REMOTE's changes into $BRANCH."
else
else
...
...
git-flow-hotfix
View file @
6606678a
...
@@ -269,7 +269,7 @@ cmd_finish() {
...
@@ -269,7 +269,7 @@ cmd_finish() {
flag sign && opts="$opts -s"
flag sign && opts="$opts -s"
[ "$FLAGS_signingkey" != "" ] && opts="$opts -u '$FLAGS_signingkey'"
[ "$FLAGS_signingkey" != "" ] && opts="$opts -u '$FLAGS_signingkey'"
[ "$FLAGS_message" != "" ] && opts="$opts -m '$FLAGS_message'"
[ "$FLAGS_message" != "" ] && opts="$opts -m '$FLAGS_message'"
git tag $opts "$VERSION_PREFIX$VERSION" || \
eval
git tag $opts "$VERSION_PREFIX$VERSION" || \
die "Tagging failed. Please run finish again to retry."
die "Tagging failed. Please run finish again to retry."
fi
fi
fi
fi
...
...
git-flow-release
View file @
6606678a
...
@@ -239,7 +239,7 @@ cmd_finish() {
...
@@ -239,7 +239,7 @@ cmd_finish() {
flag sign && opts="$opts -s"
flag sign && opts="$opts -s"
[ "$FLAGS_signingkey" != "" ] && opts="$opts -u '$FLAGS_signingkey'"
[ "$FLAGS_signingkey" != "" ] && opts="$opts -u '$FLAGS_signingkey'"
[ "$FLAGS_message" != "" ] && opts="$opts -m '$FLAGS_message'"
[ "$FLAGS_message" != "" ] && opts="$opts -m '$FLAGS_message'"
git tag $opts "$tagname" || \
eval
git tag $opts "$tagname" || \
die "Tagging failed. Please run finish again to retry."
die "Tagging failed. Please run finish again to retry."
fi
fi
fi
fi
...
...
gitflow-common
View file @
6606678a
...
@@ -45,7 +45,7 @@ warn() { echo "$@" >&2; }
...
@@ -45,7 +45,7 @@ warn() { echo "$@" >&2; }
die() { warn "$@"; exit 1; }
die() { warn "$@"; exit 1; }
escape() {
escape() {
echo "$1" | sed 's/\([\.\
+\
$\*]\)/\\\1/g'
echo "$1" | sed 's/\([\.\$\*]\)/\\\1/g'
}
}
# set logic
# set logic
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment